Debian Bug report logs - #567856
libbasicplayer-java: Fails with OpenJDK+PulseAudio

version graph

Package: libbasicplayer-java; Maintainer for libbasicplayer-java is Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>; Source for libbasicplayer-java is src:libbasicplayer-java.

Reported by: أحمد المحمودي <aelmahmoudy@users.sourceforge.net>

Date: Sun, 31 Jan 2010 20:24:02 UTC

Severity: normal

Tags: patch

Found in version libbasicplayer-java/3.0-3

Fixed in version libbasicplayer-java/3.0-4

Done: Varun Hiremath <varun@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#567856; Package libbasicplayer-java. (Sun, 31 Jan 2010 20:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to أحمد المحمودي <aelmahmoudy@users.sourceforge.net>:
New Bug report received and forwarded. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Sun, 31 Jan 2010 20:24:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: أحمد المحمودي <aelmahmoudy@users.sourceforge.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libbasicplayer-java: Fails with OpenJDK+PulseAudio
Date: Sun, 31 Jan 2010 22:19:41 +0200
[Message part 1 (text/plain, inline)]
Package: libbasicplayer-java
Version: 3.0-3
Severity: normal
Tags: patch

Hello,

  I use OpenJDK as the JRE, with PulseAudio as the sound service 
  provider. So, when I run a java app that uses libbasicplayer-java, I 
  get this exception:
   java.lang.IllegalArgumentException: Master Gain not supported
    org.classpath.icedtea.pulseaudio.PulseAudioLine.getControl(PulseAudioLine.java:89)
    org.classpath.icedtea.pulseaudio.PulseAudioSourceDataLine.getControl(PulseAudioSourceDataLine.java:51)
    javazoom.jlgui.basicplayer.BasicPlayer.openLine(Unknown Source)

  So upstream of the app. directed me to[1], which suggests that the 
  problem is that OpenJDK throws an exception when 'isControlSupported' 
  is called. So I made a patch to workaround this problem, and it 
  worked. I am not good at java, and I understand from the chat I had on 
  #debian-java that I am not doing the 'catch' thing properly. But I 
  don't understand how to make it better, so I am submitting the patch 
  to you guys, hoping that you would make it better and apply it to 
  libbasicplayer-java.

  [1] http://stackoverflow.com/questions/1914216/master-gain-not-supported-in-openjdk


-- System Information:
Debian Release: squeeze/sid
  APT prefers karmic-updates
  APT policy: (500, 'karmic-updates'), (500, 'karmic-security'), (500, 'karmic-proposed'), (500, 'karmic-backports'), (500, 'karmic')
Architecture: i386 (i686)

Kernel: Linux 2.6.31-18-generic (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libbasicplayer-java depends on:
ii  default-jre [java2-r 1.6-30ubuntu5       Standard Java or Java compatible R
ii  gcj-4.4-jre [java2-r 4.4.1-5ubuntu2      Java runtime environment using GIJ
ii  gcj-jre [java2-runti 4:4.4.1-1ubuntu2    Java runtime environment using GIJ
ii  openjdk-6-jre [java2 6b16-1.6.1-3ubuntu1 OpenJDK Java runtime, using Hotspo

libbasicplayer-java recommends no packages.

Versions of packages libbasicplayer-java suggests:
ii  gcj-4.4-jre-headless [j 4.4.1-5ubuntu2   Java runtime environment using GIJ
ii  gcj-jre-headless [java- 4:4.4.1-1ubuntu2 Java runtime environment using GIJ

-- debconf-show failed
[pulseaudio.diff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#567856; Package libbasicplayer-java. (Mon, 01 Feb 2010 17:54:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to أحمد المحمودي <aelmahmoudy@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Mon, 01 Feb 2010 17:54:08 GMT) Full text and rfc822 format available.

Message #10 received at 567856@bugs.debian.org (full text, mbox):

From: أحمد المحمودي <aelmahmoudy@users.sourceforge.net>
To: 567856@bugs.debian.org
Subject: Re: (libbasicplayer-java: Fails with OpenJDK+PulseAudio)
Date: Mon, 1 Feb 2010 19:52:34 +0200
[Message part 1 (text/plain, inline)]
Hello,

  Probably this patch is better ?

-- 
 ‎أحمد المحمودي (Ahmed El-Mahmoudy)
  Digital design engineer
 GPG KeyID: 0xEDDDA1B7 (@ subkeys.pgp.net)
 GPG Fingerprint: 8206 A196 2084 7E6D 0DF8  B176 BC19 6A94 EDDD A1B7
[pulseaudio.diff (text/x-diff, attachment)]

Reply sent to Varun Hiremath <varun@debian.org>:
You have taken responsibility. (Sun, 28 Feb 2010 18:12:17 GMT) Full text and rfc822 format available.

Notification sent to أحمد المحمودي <aelmahmoudy@users.sourceforge.net>:
Bug acknowledged by developer. (Sun, 28 Feb 2010 18:12:17 GMT) Full text and rfc822 format available.

Message #15 received at 567856-close@bugs.debian.org (full text, mbox):

From: Varun Hiremath <varun@debian.org>
To: 567856-close@bugs.debian.org
Subject: Bug#567856: fixed in libbasicplayer-java 3.0-4
Date: Sun, 28 Feb 2010 18:03:49 +0000
Source: libbasicplayer-java
Source-Version: 3.0-4

We believe that the bug you reported is fixed in the latest version of
libbasicplayer-java, which is due to be installed in the Debian FTP archive:

libbasicplayer-java_3.0-4.debian.tar.gz
  to main/libb/libbasicplayer-java/libbasicplayer-java_3.0-4.debian.tar.gz
libbasicplayer-java_3.0-4.dsc
  to main/libb/libbasicplayer-java/libbasicplayer-java_3.0-4.dsc
libbasicplayer-java_3.0-4_all.deb
  to main/libb/libbasicplayer-java/libbasicplayer-java_3.0-4_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 567856@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Varun Hiremath <varun@debian.org> (supplier of updated libbasicplayer-java package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 28 Feb 2010 12:46:45 -0500
Source: libbasicplayer-java
Binary: libbasicplayer-java
Architecture: source all
Version: 3.0-4
Distribution: unstable
Urgency: low
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Varun Hiremath <varun@debian.org>
Description: 
 libbasicplayer-java - threaded simple player class based on JavaSound API
Closes: 567856
Changes: 
 libbasicplayer-java (3.0-4) unstable; urgency=low
 .
   [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
   * Add pulseaudio.diff patch to workaround OpenJDK's Pulse Audio
     implementation (Closes: #567856).
   * debian/control:
     + Bump Standards-Version to 3.8.4
     + Changed section to java.
     + Added myself to uploaders.
     + Enhanced extended description.
   * debian/copyright: converted to machine-readable format.
 .
   [ Varun Hiremath ]
   * Fix Vcs-{Svn,Browser} headers
   * Switch to deafult-jdk
   * Bump dh compat to 7
Checksums-Sha1: 
 6972fa842b940733ad867d6811c4b02ef6bd8fb0 1541 libbasicplayer-java_3.0-4.dsc
 f3003d115322332cc8af5727ea30b19eebd704b3 3802 libbasicplayer-java_3.0-4.debian.tar.gz
 3272ad07f53a720fb9a2b2aaa8b1b318e0e3f108 37182 libbasicplayer-java_3.0-4_all.deb
Checksums-Sha256: 
 503dac6ab91e7c88f518af6417b97dde082eec1661602eb38f4b037575888817 1541 libbasicplayer-java_3.0-4.dsc
 9ebf01797f2708c6eec2be738cb2a5cc8f91e9435d4ebd6699d3579d17a7cd51 3802 libbasicplayer-java_3.0-4.debian.tar.gz
 a69342a9c835cb818c8322d921eb6295c2784e6a8950d620724677657062f4a6 37182 libbasicplayer-java_3.0-4_all.deb
Files: 
 66b9a74ead882415d43650c00cc812dc 1541 java optional libbasicplayer-java_3.0-4.dsc
 016b25bb7eb6f8b71bcb101a8badc8c2 3802 java optional libbasicplayer-java_3.0-4.debian.tar.gz
 27676c865d8303275e89805e5e957f29 37182 java optional libbasicplayer-java_3.0-4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFLiq2qPEFSUMxFMZcRAvwpAJ4/YkEIdi9AVBHzfAoMlZJkVU9D2ACfTiGZ
5cRrG+4ZPspzJWCmZ0D1ABg=
=teG2
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 29 Mar 2010 07:38:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 16:50:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.